package com.loafle.overflow.central.module.history.dao;

import com.loafle.overflow.model.domain.Domain;
import com.loafle.overflow.model.history.History;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;


/**
 * Created by insanity on 17. 8. 23.
 */
@Repository
public interface HistoryDAO extends JpaRepository<History, Long> {
    Page<History> findAllByProbeId(Long probeID, Pageable pageable);

    @Query("SELECT h FROM History h WHERE h.probe.id = :#{#probeID} and h.type.id = :#{#type.id}")
    Page<History> findAllByProbeIdAndType(@Param("probeID") Long probeID, @Param("type") com.loafle.overflow.model.meta.MetaHistoryType type, Pageable pageable);

    Page<History> findAllByDomainId(Long domainID, Pageable pageRequest);

    @Query("SELECT h FROM History h WHERE h.domain.id = :#{#domainID} and h.type.id = :#{#type.id}")
    Page<History> findAllByDomainIdAndType(@Param("domainID") Long domainID, @Param("type") com.loafle.overflow.model.meta.MetaHistoryType type, Pageable pageRequest);
}
